
(function ($) {
    $(function () {
        var frame,
            metaBox = $('.ogc-wrapper .media-btns'),
            addImgLink = metaBox.find('.button-upload'),
            delImgLink = metaBox.find('.button-delete');

        addImgLink.on('click', function (event) {
            $this = $(this);
            event.preventDefault();
            if (frame) {
                frame.open();
                return;
            }
            frame = wp.media({
                title: 'Insert Image',
                button: {
                    text: '挿入'
                },
                multiple: false
            });

            frame.on('select', function () {
                var attachment = frame.state().get('selection').first().toJSON();
                var fileURL = attachment.url;

                $this.parents(".media-control").find("figure").remove();
                $this.parents(".media-control").prepend('<figure><img src="' + fileURL +
                    '" /></figure>');
                $this.parents(".media-control").find('.hidden_object').val(fileURL);
                return false;
            });
            frame.open();
        });
        delImgLink.on('click', function (event) {
            $this = $(this);
            event.preventDefault();
            $this.parents(".media-control").find("figure").remove();
            var fileURL = '';
            $this.parents(".media-control").find('.hidden_object').val(fileURL);
            return false;
        });


        var frame,
        metaBox = $('.ogi-wrapper'),
        addImgLink = metaBox.find('.button-upload'),
        delImgLink = metaBox.find('.button-delete');

    addImgLink.on('click', function(event) {
        $this = $(this);
        event.preventDefault();
        if (frame) {
            frame.open();
            return;
        }
        frame = wp.media({
            title: '写真を挿入',
            button: {
                text: '挿入'
            },
            multiple: false
        });

        frame.on('select', function() {
            var attachment = frame.state().get('selection').first().toJSON();

            var fileURL = attachment.sizes.medium.url;
                if (!fileURL) {
                    var fileURL = attachment.url;
                }

            var fileID = attachment.id;

            $this.parents(".ogi-wrapper").children("img").remove();
            $this.parents(".ogi-wrapper").find(".image-section").html('<img src="' + fileURL +
            '" class="file_thumbnail"/>').addClass("hasimg");
            $this.parents(".ogi-wrapper").find('.hidden_object').val(fileID);
            return false;
        });
        frame.open();
    });
    delImgLink.on('click', function(event) {
        $this = $(this);
        event.preventDefault();
        $this.parents(".ogi-wrapper").find(".image-section").html('').removeClass("hasimg");
        var fileURL = '';
        $this.parents(".ogi-wrapper").find('.hidden_object').val(fileURL);
        return false;
    });


    });   


})(jQuery);